WireMock
utils Wiremock

# check_configuration

Check configuration contains valid WireMock settings

Run it now
View details

Type |
Module | chaoswm.utils
Name | check_configuration
Return | boolean

Usage

JSON

    {
      "name": "check-configuration",
      "type": "",
      "provider": {
        "type": "python",
        "module": "chaoswm.utils",
        "func": "check_configuration"
      }
    }

YAML

    name: check-configuration
    provider:
      func: check_configuration
      module: chaoswm.utils
      type: python
    type: ""

Arguments

Name | Type | Default | Required | Title | Description
--- | --- | --- | --- | --- | ---
c | mapping | null | No | Configuration | The WireMock server configuration to connect with

Signature

    def check_configuration(c: Dict[str, Any] = None) -> bool:
        pass

## Related starters

- WireMock
  action Wiremock

  ## `fixed_delay`

  Adds a fixed delay to a list of mappings
- WireMock
  action Wiremock

  ## `up`

  Deletes all delays connected with a list of mappings
- WireMock
  action Wiremock

  ## `global_random_delay`

  Adds a random delay to all mappings